#include "uihelper.h"

Label::Label(QWidget *parent, Qt::WindowFlags f): QLabel(parent, f)
{
    setFixedHeight(16);
    setContentsMargins(0, 0, 0, 0);
}
Label::Label(const QString &text, QWidget *parent, Qt::WindowFlags f): QLabel(text, parent, f)
{
    setFixedHeight(16);
    setContentsMargins(0, 0, 0, 0);
}

void Label::mousePressEvent(QMouseEvent *ev)
{
    Q_EMIT clicked();
    QLabel::mousePressEvent(ev);
}

DThinVBoxLayout::DThinVBoxLayout(QWidget *parent): QVBoxLayout(parent)
{
    setMargin(0);
    setSpacing(0);
}

DThinHBoxLayout::DThinHBoxLayout(QWidget *parent): QHBoxLayout(parent)
{
    setMargin(0);
    setSpacing(0);
}
